resources:
  - "@type": "type.googleapis.com/envoy.extensions.transport_sockets.tls.v3.Secret"
    name: credential
    generic_secret:
      secret:
        # Basic authentication credentials for upstream requests to CCloud.
        # The credential is base64 encoding of username and password joined by a ':'
        # The default username/password is user:pass for testing purposes.
        inline_string: "Basic dXNlcjpwYXNz"
